Assignee: Go MAEDA % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version: 6.0.0   

Resolution: Fixed   

Description

Currently, the search engine does not support multiple multi-word phrases.

For example, we cannot search objects that contain two phrases "closed issue" and "closed version". If you give a search string

"closed issue" "closed version", the search engine search for objects containing three strings "closed issue", "closed", and "version".

This is due to the behavior of Redmine::Search::Tokenizer#tokens.

Redmine::Search::Tokenizer.new(%q|"closed issue" "closed version"|).tokens

=> ["closed issue", "closed", "version"]

 If the Tokenizer returns two tokens, "closed issue" and "closed version" for the same input, it will be possible to search for multiple

multi-word phrases.

Related issues:

Related to Redmine - Feature #38435: "contains any of" operator for text filt... Closed

Associated revisions

Revision 22886 - 2024-06-19 16:27 - Go MAEDA

Support multiple multi-word phrases in the search engine (#38446).

Patch by Go MAEDA (@maeda).

History

#1 - 2024-04-29 04:28 - Go MAEDA

- File 38446.patch added

I am submitting a patch for this issue, which enhances the tokenizer's ability to handle multiple quoted phrases.

#2 - 2024-04-30 10:18 - Go MAEDA

- File 38446-v2.patch added

Updated the patch.

In the regular expressions, changed [:space:] to \p{Zs} which does not match with TAB, CR, and LF

Improved the regular expression for gsub.

#3 - 2024-06-12 11:51 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2024-06-15 09:44 - Go MAEDA

- Target version changed from Candidate for next major release to 6.0.0

Setting the target version to 6.0.0.

#5 - 2024-06-19 16:27 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA
- Resolution set to Fixed

Committed the patch in r22886.

#6 - 2024-06-19 16:28 - Go MAEDA

- Subject changed from Searching multiple multi-word phrases to Support multiple multi-word phrases in the search engine

#7 - 2024-06-20 03:03 - Go MAEDA

- Related to Feature #38435: "contains any of" operator for text filters to perform OR search of multiple terms added

Files

38446.patch 1.51 KB 2024-04-29 Go MAEDA

38446-v2.patch 1.53 KB 2024-04-30 Go MAEDA

Powered by TCPDF (www.tcpdf.org)

2025-05-02 2/2

https://www.redmine.org/projects/redmine/repository/svn/revisions/22886
http://www.tcpdf.org

